Subject: Re: Is anyone using the C67x00 USB Host ?

From: "David H. Lynch Jr." <[email-masked]>
Date: Sat, 13 Dec 2008 15:27:04 -0500

Peter Korsgaard wrote:
>  David> But I still can not get host 1B working. Any sugestions as to
>  David> something I can look at ?
>
> Not right away. All the platforms I have been using have only used
> port 1A, so there could potentially be a mistake in the driver /
> firmware.
Thanks, even knowing that helps.
I have spent most of this morning soldering a wirewraped USB connector
to my board.
If the interrupt firware was wrong, maybe somebody switched D+ and D- or
maybe I can connect to 2a and use it as a 2nd host.
Unfortunately no joy.
As best as I can tell the USB system is finding 1A,1B, amd 2A - ls
/dev/usbdev* lists
usbdev1.1 usbdev1.1_ep00 usbdev1.1_ep81 usbdev1.2 usbdev1.2_ep00
usbdev1.2_ep01 usbdev1.2_ep81 usbdev2.1 usbdev2.1_ep00 usbdev2.1_ep81

How about anybody used 2A or 2B ?
Anybody know of a Xilinx/Cypres test app that tests hosts on anything
but 1A ?

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein